SASL_SERVER_INIT(3)

NAME
sasl_server_init - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
int sasl_server_init(const sasl_callback_t *callbacks,
                     const char *appname);

DESCRIPTION

int sasl_server_init(const sasl_callback_t *callbacks,

const char *appname);
    sasl_server_init() initializes SASL. It must be called before any calls to sasl_server_start, and only once per process. This call initializes all SASL mechanism drivers (e.g. authentication mechanisms). These are usually found in the /usr/lib/sasl2 directory but the directory may be overridden with the SASL_PATH environment variable (or at compile time).

Parameters

•   callbacks – specifies the base callbacks for all client connections. See the sasl_callbacks(3) man page for more information.

•   appname – is the name of the application. It is used to find the default configuration file.

RETURN VALUE

SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

Other return codes indicate errors and should either be handled or the authentication session should be quit.

SEE ALSO

RFC 4422,:saslman:sasl(3), sasl_callbacks(3), sasl_server_new(3), sasl_server_start(3), sasl_server_step(3), sasl_errors(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team